VERSION 5.00
Object = "{6DD56D6A-32D5-4333-8C44-6216932E3564}#1.1#0"; "VBHIDComm.ocx"
Object = "{8A0E1295-C8A3-11D5-9BA5-00045A4AFDE4}#16.0#0"; "HPCOUNT.OCX"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3015
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3225
   LinkTopic       =   "Form1"
   ScaleHeight     =   3015
   ScaleWidth      =   3225
   StartUpPosition =   3  'Windows Default
   Begin HighPerformanceCounter.hpCounter hp 
      Left            =   2460
      Top             =   1680
      _ExtentX        =   741
      _ExtentY        =   741
   End
   Begin VB.CommandButton cmdReadWrite 
      Caption         =   "Read and Write"
      Height          =   495
      Left            =   840
      TabIndex        =   8
      Top             =   1680
      Width           =   1515
   End
   Begin VB.TextBox txtIn 
      Height          =   375
      Left            =   900
      TabIndex        =   6
      Text            =   "0"
      Top             =   960
      Width           =   795
   End
   Begin VB.CommandButton cmdRead 
      Caption         =   "Read"
      Height          =   435
      Left            =   1860
      TabIndex        =   5
      Top             =   960
      Width           =   1155
   End
   Begin VB.CommandButton cmdWrite 
      Caption         =   "Write"
      Height          =   435
      Left            =   1860
      TabIndex        =   4
      Top             =   360
      Width           =   1155
   End
   Begin VB.TextBox txtOut 
      Height          =   375
      Left            =   900
      TabIndex        =   2
      Text            =   "F0"
      Top             =   360
      Width           =   795
   End
   Begin VB.CommandButton cmdDisconnect 
      Caption         =   "&Disconnect"
      Height          =   435
      Left            =   1500
      TabIndex        =   1
      Top             =   2400
      Width           =   1215
   End
   Begin VB.CommandButton cmdConnect 
      Caption         =   "&Connect"
      Height          =   435
      Left            =   240
      TabIndex        =   0
      Top             =   2400
      Width           =   1215
   End
   Begin VBHIDComm.HIDComm HIDComm 
      Left            =   2700
      Top             =   2400
      _ExtentX        =   688
      _ExtentY        =   688
      MatchVID        =   1240
      MatchPID        =   4095
      MatchVersion    =   256
      MatchMethod     =   63
      MatchManufacturer=   "Innovative Experiment"
      MatchProduct    =   "U-Board USB1.0/1.1 Interface"
      MatchSerial     =   "0"
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Port In :"
      Height          =   210
      Left            =   180
      TabIndex        =   7
      Top             =   1020
      Width           =   555
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Port Out :"
      Height          =   210
      Left            =   180
      TabIndex        =   3
      Top             =   420
      Width           =   675
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdConnect_Click()
    HIDComm.MatchManufacturer = "Innovative Experiment"
    HIDComm.MatchProduct = "U-Board USB1.0/1.1 Interface"
    HIDComm.MatchSerial = 0

    HIDComm.MatchPID = 4095
    HIDComm.MatchVID = 1240
    HIDComm.MatchVersion = 256

    HIDComm.Connect
End Sub

Private Sub cmdDisconnect_Click()
    HIDComm.Disconnect
End Sub

Private Sub cmdRead_Click()
Dim Buffer() As Byte
    Buffer = HIDComm.ReadFrom(1)
    txtIn.Text = Hex(Buffer(0))
End Sub

Private Sub cmdReadWrite_Click()
Dim Buffer() As Byte
    ReDim Buffer(0)
    Buffer(0) = 1
    HIDComm.ReportID = 3
    HIDComm.WriteTo Buffer, 1
    
    hp.Delay_ms 71

    Buffer = HIDComm.ReadFrom(1)
    txtIn.Text = Hex(Buffer(0))
    
    HIDComm.ReportID = 1
    HIDComm.WriteTo Buffer, 1
End Sub

Private Sub cmdWrite_Click()
Dim Buffer(0) As Byte
    Buffer(0) = CByte("&H" & txtOut.Text)
    HIDComm.ReportID = 1
    HIDComm.WriteTo Buffer, 1
End Sub

Private Sub Form_Load()
    HIDComm.MatchManufacturer = "Innovative Experiment"
    HIDComm.MatchProduct = "U-Board USB1.0/1.1 Interface"
    HIDComm.MatchSerial = 0

    HIDComm.MatchPID = 4095
    HIDComm.MatchVID = 1240
    HIDComm.MatchVersion = 256
    
    HIDComm.Connect
End Sub

Private Sub HIDComm_ConnectFailure(ByVal Status As Long)
    MsgBox "HIDComm_ConnectFailure"
End Sub

Private Sub HIDComm_ConnectSuccess(ByVal Status As Long)
    MsgBox "HIDComm_ConnectSuccess"
End Sub

Private Sub HIDComm_Disconnected(ByVal Status As Long)
    MsgBox "HIDComm_Disconnected"
End Sub
